Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.jess
Interface JessAgentInterface

    public interface JessAgentInterface

Method Summary
`int` | `createGroup(boolean d, java.lang.String name, java.lang.String desc, GroupIdentifier id)`
`void` | `doBroadcastMessage(java.lang.String g, java.lang.String r, Message m)`
`AgentAddress[]` | `doGetAgentsWithRole(java.lang.String group, java.lang.String role)`
`AgentAddress` | `doGetAgentWithRole(java.lang.String group, java.lang.String role)`
`java.util.Vector` | `doGetGroups()`
`java.lang.String` | `doGetName()`
`java.lang.String[]` | `doGetRoles(java.lang.String group)`
`boolean` | `doIsGroup(java.lang.String group)`
`void` | `doLaunchAgent(AbstractAgent agent, java.lang.String name, boolean gui)`
`void` | `doLeaveGroup(java.lang.String group)`
`void` | `doLeaveRole(java.lang.String group, java.lang.String role)`
`void` | `doRequestRole(java.lang.String group, java.lang.String role)`
`void` | `doSendMessage(AgentAddress a, Message m)`
`void` | `doSendMessage(java.lang.String g, java.lang.String r, Message m)`
`void` | `readMessages()`

Method Detail

### doRequestRole

    void doRequestRole(java.lang.String group,
                       java.lang.String role)

### doLeaveRole

    void doLeaveRole(java.lang.String group,
                     java.lang.String role)

### doLeaveGroup

    void doLeaveGroup(java.lang.String group)

### createGroup

    int createGroup(boolean d,
                    java.lang.String name,
                    java.lang.String desc,
                    GroupIdentifier id)

### doGetAgentsWithRole

    AgentAddress[] doGetAgentsWithRole(java.lang.String group,
                                       java.lang.String role)

### doGetAgentWithRole

    AgentAddress doGetAgentWithRole(java.lang.String group,
                                    java.lang.String role)

### doGetName

    java.lang.String doGetName()

### doGetRoles

    java.lang.String[] doGetRoles(java.lang.String group)

### doGetGroups

    java.util.Vector doGetGroups()

### doIsGroup

    boolean doIsGroup(java.lang.String group)

### doLaunchAgent

    void doLaunchAgent(AbstractAgent agent,
                       java.lang.String name,
                       boolean gui)

### readMessages

    void readMessages()

### doSendMessage

    void doSendMessage(AgentAddress a,
                       Message m)

### doSendMessage

    void doSendMessage(java.lang.String g,
                       java.lang.String r,
                       Message m)

### doBroadcastMessage

    void doBroadcastMessage(java.lang.String g,
                            java.lang.String r,
                            Message m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.